import { ANIMATIONS } from './common';
const FLIP_SCALE_DEFAULT = {
  easing: 'linear',
  fillMode: 'both'
};
const FLIP_SCALE_UP_HOR = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateX(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(2.5) rotateX(-90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateX(-180deg)' })
];
const FLIP_SCALE_DOWN_HOR = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateX(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(0.4) rotateX(90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateX(180deg)' })
];
const FLIP_SCALE_UP_VER = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateY(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(2.5) rotateY(90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateY(180deg)' })
];
const FLIP_SCALE_DOWN_VER = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateY(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(0.4) rotateY(-90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotateY(-180deg)' })
];
const FLIP_SCALE_UP_DIAG_1 = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(2.5) rotate3d(1, 1, 0, 90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, 180deg)' })
];
const FLIP_SCALE_DOWN_DIAG_1 = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(0.4) rotate3d(1, 1, 0, -90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, -180deg)' })
];
const FLIP_SCALE_UP_DIAG_2 = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(2.5) rotate3d(-1, 1, 0, 90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 180deg)' })
];
const FLIP_SCALE_DOWN_DIAG_2 = [
  Object.assign(Object.assign({ offset: 0 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, FLIP_SCALE_DEFAULT), { transform: 'scale(0.4) rotate3d(-1, 1, 0, -90deg)' }),
  Object.assign(Object.assign({ offset: 1 }, FLIP_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, -180deg)' })
];
export default {
  [ANIMATIONS.FLIP_SCALE_UP_HOR]: FLIP_SCALE_UP_HOR,
  [ANIMATIONS.FLIP_SCALE_DOWN_HOR]: FLIP_SCALE_DOWN_HOR,
  [ANIMATIONS.FLIP_SCALE_UP_VER]: FLIP_SCALE_UP_VER,
  [ANIMATIONS.FLIP_SCALE_DOWN_VER]: FLIP_SCALE_DOWN_VER,
  [ANIMATIONS.FLIP_SCALE_UP_DIAG_1]: FLIP_SCALE_UP_DIAG_1,
  [ANIMATIONS.FLIP_SCALE_DOWN_DIAG_1]: FLIP_SCALE_DOWN_DIAG_1,
  [ANIMATIONS.FLIP_SCALE_UP_DIAG_2]: FLIP_SCALE_UP_DIAG_2,
  [ANIMATIONS.FLIP_SCALE_DOWN_DIAG_2]: FLIP_SCALE_DOWN_DIAG_2
};
