import { ANIMATIONS } from './common';
const ROTATE_SCALE_DEFAULT = {
  easing: 'linear',
  fillMode: 'both'
};
const ROTATE_SCALE_UP = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateZ(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(2) rotateZ(180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateZ(360deg)' })
];
const ROTATE_SCALE_DOWN = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateZ(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(0.5) rotateZ(180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateZ(360deg)' })
];
const ROTATE_SCALE_UP_HOR = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateX(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(2) rotateX(-180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateX(-360deg)' })
];
const ROTATE_SCALE_DOWN_HOR = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateX(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(0.5) rotateX(-180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateX(-360deg)' })
];
const ROTATE_SCALE_UP_VER = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateY(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(2) rotateY(180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateY(360deg)' })
];
const ROTATE_SCALE_DOWN_VER = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateY(0)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(0.5) rotateY(180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotateY(360deg)' })
];
const ROTATE_SCALE_UP_DIAG_1 = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(2) rotate3d(1, 1, 0, -180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, -360deg)' })
];
const ROTATE_SCALE_DOWN_DIAG_1 = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(0.5) rotate3d(1, 1, 0, -180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(1, 1, 0, -360deg)' })
];
const ROTATE_SCALE_UP_DIAG_2 = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(2) rotate3d(-1, 1, 0, 180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 360deg)' })
];
const ROTATE_SCALE_DOWN_DIAG_2 = [
  Object.assign(Object.assign({ offset: 0 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 0deg)' }),
  Object.assign(Object.assign({ offset: 0.5 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(0.5) rotate3d(-1, 1, 0, 180deg)' }),
  Object.assign(Object.assign({ offset: 1 }, ROTATE_SCALE_DEFAULT), { transform: 'scale(1) rotate3d(-1, 1, 0, 360deg)' })
];
export default {
  [ANIMATIONS.ROTATE_SCALE_UP]: ROTATE_SCALE_UP,
  [ANIMATIONS.ROTATE_SCALE_DOWN]: ROTATE_SCALE_DOWN,
  [ANIMATIONS.ROTATE_SCALE_UP_HOR]: ROTATE_SCALE_UP_HOR,
  [ANIMATIONS.ROTATE_SCALE_DOWN_HOR]: ROTATE_SCALE_DOWN_HOR,
  [ANIMATIONS.ROTATE_SCALE_UP_VER]: ROTATE_SCALE_UP_VER,
  [ANIMATIONS.ROTATE_SCALE_DOWN_VER]: ROTATE_SCALE_DOWN_VER,
  [ANIMATIONS.ROTATE_SCALE_UP_DIAG_1]: ROTATE_SCALE_UP_DIAG_1,
  [ANIMATIONS.ROTATE_SCALE_DOWN_DIAG_1]: ROTATE_SCALE_DOWN_DIAG_1,
  [ANIMATIONS.ROTATE_SCALE_UP_DIAG_2]: ROTATE_SCALE_UP_DIAG_2,
  [ANIMATIONS.ROTATE_SCALE_DOWN_DIAG_2]: ROTATE_SCALE_DOWN_DIAG_2
};
